/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */



/**
 * Le Framework de jeux JavaScript Phaser
 *
Phaser v2.0.5 - http://phaser.io - @photonstorm - (c) 2014 Photon Storm Ltd. 
https://github.com/photonstorm/phaser
http://examples.phaser.io/
 */




/**
 * Classe interface accueil
 * 
 * @param  {[type]} game [description]
 * @return {[type]}      [description]
 */

var title;
var subtitle;

gameAccueil = {

/**
 * Les méthodes
 * 
 * @type {Object}
 */

     /**
      * Initialisation de la classe
      * Appel à l'initialisation de la classe
      * Utilisation du debug par exemple
      * 
      * @return {[type]} [description]
      */
	   init: function()
     {
          game.log();// appel du debug
     },


     /**
      * Création de la scène du jeu,
      * mise en place des graphismes...
      * 
      * @return {[type]} [description]
      */
  	 create: function()
     {
		    game.add.image(0, 0, "background");// ajoute l'image de fond du jeu
          
        // ajoute la neige en arrière plan, derrière le village
        backSnow = game.add.emitter(320, -32, 600);
        backSnow.makeParticles("snowflakes", [0, 1, 2, 3, 4, 5]);
        backSnow.maxParticleScale = 0.6;
        backSnow.minParticleScale = 0.2;
        backSnow.setYSpeed(20, 100);
        backSnow.setXSpeed(-15, 15);
        backSnow.gravity = 0;
        backSnow.width = nHeight;
        backSnow.minRotation = 0;
        backSnow.maxRotation = 40;
        backSnow.start(false, 14000, 20);
        
        // ajoute l'image du jeu - le village sous la neige
        game.add.image(0, 415, "snow_mask");

        // le titre du jeu
        title = game.add.sprite(-320,170,"gametitle");
        title.anchor.setTo(0.5);

        // le sous titre
        subtitle = game.add.image(960,270,"gamesubtitle");
        subtitle.anchor.setTo(0.5);
        game.time.events.add(Phaser.Timer.SECOND * 4, this.showTitle, this);// apparition du titre après 4 secondes
        
        // lecture de la musique
        music = game.add.audio("music",1,true);
        music.play("",0,1,true);
        
        // ajoute la neige au premier plan, devant le village
        frontSnow = game.add.emitter(320, -32, 50);
        frontSnow.makeParticles("snowflakes_large", [0, 1, 2, 3, 4, 5]);
        frontSnow.maxParticleScale = 0.75;
        frontSnow.minParticleScale = 0.5;
        frontSnow.setYSpeed(50, 150);
        frontSnow.setXSpeed(-20, 20);
        frontSnow.gravity = 0;
        frontSnow.width = nHeight;
        frontSnow.minRotation = 0;
        frontSnow.maxRotation = 40;
        frontSnow.start(false, 14000, 1000);
	
        // apparition du village petit à petit, derrière le fond noir
        var blackFade = game.add.sprite(0 ,0, "blackfade");
        var fadeTween = this.add.tween(blackFade);
	      fadeTween.to( {alpha: 0}, 4000, Phaser.Easing.Linear.Out, true);  
	  },


     /**
      * Affiche l'interface de titre
      * 
      * @return {[type]} [description]
      */
     showTitle: function()
     {
        // création d'une animation pour l'apparition du titre
        var titleTween = game.add.tween(title);
        titleTween.to( {x: 320}, 2000, Phaser.Easing.Cubic.Out, true); 
        
        titleTween.onComplete.add(function()
        {
            // après le titre, création d'une animation pour l'apparition du sous titre
            var subtitleTween = game.add.tween(subtitle);
            subtitleTween.to( {x: 390}, 2000, Phaser.Easing.Cubic.Out, true);
        });
     }
}

